Start enricher execution for a specific end user asynchronously
curl --request POST \
--url https://app.herondata.io/api/end_user_enrichers/definitions/{enricher_definition_name}/start_enrich \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"end_user_heron_id": "eun_abc123"
}
'import requests
url = "https://app.herondata.io/api/end_user_enrichers/definitions/{enricher_definition_name}/start_enrich"
payload = { "end_user_heron_id": "eun_abc123" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({end_user_heron_id: 'eun_abc123'})
};
fetch('https://app.herondata.io/api/end_user_enrichers/definitions/{enricher_definition_name}/start_enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"end_user_id": 123,
"enricher_name": "<string>"
}EndUserEnrichers
Start enricher execution for a specific end user asynchronously
Dispatches an enricher task for an end user and returns immediately.
POST
/
api
/
end_user_enrichers
/
definitions
/
{enricher_definition_name}
/
start_enrich
Start enricher execution for a specific end user asynchronously
Authorizations
Path Parameters
The name of the enricher definition to execute
Body
application/json
The Heron ID of the end user to enrich
Example:
"eun_abc123"
Was this page helpful?
⌘I